@echo off
REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
REM (C) Copyright IBM Corporation 2006, 2009, 2012. All rights reserved. 
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT

setlocal

SET CUR_DIR=%cd%

%~d0
cd %~p0

set DB_NAME=%1
set DB_USER=%2
set DB_PASSWORD=%3

REM --  CONNECT TO THE EXISTING DATABASE FOR COMMONDB UPDATES

@db2 connect to %DB_NAME% USER %DB_USER% USING %DB_PASSWORD%

set RC=%ERRORLEVEL%
if not %RC%==0 (
    echo Error in connecting to the database. 
    goto PRINT_USAGE
)

@db2 set current schema=@SCHEMA@

if exist upgradeSchema_SchemaStatus.done (
    ren upgradeSchema_SchemaStatus.done upgradeSchema_SchemaStatus.sql
)

REM -- execute create schema_status sql
@db2 -s -t -v -zresult.log -f upgradeSchema_SchemaStatus.sql
set RC=%ERRORLEVEL%
if not %RC%==0 (
   echo The upgradeSchema script has failed. Please check the result.log file."
   goto END
)

ren upgradeSchema_SchemaStatus.sql upgradeSchema_SchemaStatus.done

dir /B | findstr "upgradeTable*.*sql" > BPM_80.log

for /F "tokens=1* delims=" %%v in ( BPM_80.log ) do (
       @db2 -s -t -v -zresult.log -f ".\%%v"
       set RC=%ERRORLEVEL%
       if not %RC%==0 (
           echo The upgradeSchema script has failed. Please check the result.log file."
           goto END
       )
)

if exist BPM_80.log (
   del BPM_80.log
)

dir /B | findstr "upgradeSchema*.*sql" > BPM_80.log

ren upgradeSchema_SchemaStatus.done upgradeSchema_SchemaStatus.sql

for /F "tokens=1* delims=" %%v in ( BPM_80.log ) do (
       @db2 -s -t -v -zresult.log -f ".\%%v"
       set RC=%ERRORLEVEL%
       if not %RC%==0 (
           echo The upgradeSchema script has failed. Please check the result.log file."
           goto END
       )
)

echo The upgradeSchema script completed successfully.
goto END 

:PRINT_USAGE

REM Print usage messages


echo ===================================================================================================
echo Check DB2 setup or enter correct dbUsername or dbPassword or dbName
echo ===================================================================================================
echo Usage: upgradeSchema.bat ^<dbUsername^> ^<dbPassword^>
echo Parameters:
echo dbUsername            -  DB2 username, for example wsadmin 
echo dbPassword            -  Password for DB2 username
echo Examples:
echo         1. upgradeSchema.bat -help
echo         2. upgradeSchema.bat [interactive mode]
echo         3. upgradeSchema.bat db2admin db2admin
echo ==================================================================================================

goto END

:END

if exist BPM_80.log (
   del BPM_80.log
)

cd /d "%CUR_DIR%"
endlocal
