@echo off
REM
REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
REM (C) Copyright IBM Corporation 2010,. 2012. All rights reserved. 
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT
REM
REM ----------------------------------------------------------------------------------------------------------------
REM 
REM
REM
REM Description:   Configure DB2 database environment during Migration
REM                This file is for use on Windows systems
REM                This batch file updates databases
REM                Run the script where it is located rather than running it from a different folder
REM Usage: 
REM                upgradeSchema.bat
REM Example:1
REM                upgradeSchema.bat
REM ----------------------------------------------------------------------------------------------------------------
setlocal

SET CUR_DIR=%cd%

%~d0
cd %~p0


if  "%1" == "-h"  	goto PRINT_USAGE
if  "%1" == "-help"  	goto PRINT_USAGE


set DB_LOCATION=@DB_NAME@
set WAS_HOME=@WAS_HOME@

IF NOT EXIST %WAS_HOME% (
    echo ======================================================================
	echo "AbsolutePath of the WAS HOME doesn't exist...."
    GOTO PRINT_USAGE )

IF NOT EXIST %DB_LOCATION% (
      echo ======================================================================
	  echo "AbsolutePath of the Derby database location doesn't exist..."
      GOTO PRINT_USAGE )

REM this sets JAVA_HOME WAS_HOME for derby
REM @call "%WAS_HOME%\bin\setupCmdLine.bat"

set JAVA_HOME=%WAS_HOME%\java

dir /B | findstr "^sql" > BPM_80.log


for /F "tokens=1* delims=" %%v in ( BPM_80.log ) do (
	@call "%JAVA_HOME%\bin\java" -classpath "%WAS_HOME%\derby\lib\derby.jar;%WAS_HOME%\derby\lib\derbytools.jar;%WAS_HOME%\derby\lib\jh.jar" -Ddb2j.system.home="%DB_LOCATION%" -Dij.protocol=jdbc:derby: -Dij.database="%DB_LOCATION%" org.apache.derby.tools.ij "%%v"
)

echo The upgradeSchema script completed successfully.
goto END 


:PRINT_USAGE

REM Print usage messages

echo ===========================================================================================================
echo Usage: upgradeSchema.bat 
echo.
echo Examples:
echo         upgradeSchema.bat
echo =============================================================================================================

goto END

:END

if exist BPM_80.log (
   del BPM_80.log
)
cd /d "%CUR_DIR%"
endlocal
