#!/bin/sh
#
# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2006, 2009, 2012. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

#------------------------------------------------------------------------------
# Description:   Configure SQL Server Database environment during Migration
#				 This file is for use on Linux or Unix bash
#                Run the script where it is located rather than running it from a different folder
#
# Usage: 
#                upgradeSchema.sh   
#  
# Example:
#                upgradeSchema.bat 
#                
#------------------------------------------------------------------------------

WAS_HOME=@WAS_HOME@
DB_LOCATION=@DB_NAME@


#-----------------------------------------
# Print Message
#-----------------------------------------
print_message() {
echo
echo ======================================================================
echo "Usage: upgradeSchema.sh"
echo 
echo "Examples:"
echo "     upgradeSchema.sh"
echo 
echo ======================================================================
echo
exit
}

if [ "$1" == "-h"  -o "$1" == "-help" ] ; then
   print_message
fi

INIT_DIR=`pwd`

CURRENT_DIR=`dirname $0`
if [ "$CURRENT_DIR" == "." ] ; then
   CURRENT_DIR=`pwd`
fi

if [ -d $WAS_HOME ]; then
	if [ -d $DB_LOCATION ];then
     		ls | grep "^sql"  > BPM_80.sql
	else
     		echo ======================================================================
  		echo "AbsolutePath of the Derby database location doesn't exist..."
     		print_message
	fi
else
	echo ======================================================================
	echo "AbsolutePath of the WAS HOME doesn't exist..."
	print_message
fi

#. "$WAS_HOME/bin/setupCmdLine.sh"

JAVA_HOME=$WAS_HOME/java

cd $CURRENT_DIR

for i  in `cat BPM_80.sql`
do
	"$JAVA_HOME/bin/java" -classpath "$WAS_HOME/derby/lib/derby.jar:$WAS_HOME/derby/lib/derbytools.jar:$WAS_HOME/derby/lib/jh.jar" -Ddb2j.system.home=$DB_LOCATION -Dij.protocol=jdbc:derby: -Dij.database=$DB_LOCATION org.apache.derby.tools.ij $i
done
	
cd $INIT_DIR
	
rm -f  BPM_80.sql

